Skip to content

Get a transport request with specified business id

Request

Retrieve a single Transport Request by its business id.

Security
clientCredentials
Path
business_idstring^[a-zA-Z0-9.~\-_]{1,512}$required

The business identifier of an entity instance

Headers
X-Conundra-Unwrapstring

When set to true, the response will not be wrapped in a data property.

curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/order-book/order-book-api/transport-requests/{business_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'X-Conundra-Unwrap: string'

Responses

OK

Headers
ETagstring

weak Etag (ex W/<etag_value>) which contains the (updated) version of the entity

Bodyapplication/json
dataobject(TransportRequest)

transport request contains orders

Response
{ "data": { "business_id": "transportRequestA", "transport_category": "transportCategoryA", "client": "companyId", "earliest_start_at": "2021-01-01T10:15:30Z", "description": "a description", "orders": {}, "custom_data": {}, "etag": "W/\"1\"", "version": {} } }